Index: build_tools/menuselect-deps.in
===================================================================
--- build_tools/menuselect-deps.in	(.../branches/11)	(revision 385989)
+++ build_tools/menuselect-deps.in	(.../team/oej/pinefrog-rtcp-11)	(revision 385989)
@@ -63,7 +63,6 @@
 SYSLOG=@PBX_SYSLOG@
 TONEZONE=@PBX_TONEZONE@
 UNIXODBC=@PBX_UNIXODBC@
-UUID=@PBX_UUID@
 VORBIS=@PBX_VORBIS@
 VPB=@PBX_VPB@
 WINARCH=@PBX_WINARCH@
Index: pbx/pbx_spool.c
===================================================================
--- pbx/pbx_spool.c	(.../branches/11)	(revision 385989)
+++ pbx/pbx_spool.c	(.../team/oej/pinefrog-rtcp-11)	(revision 385989)
@@ -645,10 +645,9 @@
 	char buf[8192] __attribute__((aligned (sizeof(int))));
 	struct pollfd pfd = { .fd = inotify_fd, .events = POLLIN };
 #else
-	struct timespec nowait = { .tv_sec = 0, .tv_nsec = 1 };
+	struct timespec nowait = { 0, 1 };
 	int inotify_fd = kqueue();
 	struct kevent kev;
-	struct kevent event;
 #endif
 	struct direntry *cur;
 
@@ -679,7 +678,7 @@
 
 #ifndef HAVE_INOTIFY
 	EV_SET(&kev, dirfd(dir), EVFILT_VNODE, EV_ADD | EV_ENABLE | EV_CLEAR, NOTE_WRITE, 0, NULL);
-	if (kevent(inotify_fd, &kev, 1, &event, 1, &nowait) < 0 && errno != 0) {
+	if (kevent(inotify_fd, &kev, 1, NULL, 0, &nowait) < 0 && errno != 0) {
 		ast_log(LOG_ERROR, "Unable to watch directory %s: %s\n", qdir, strerror(errno));
 	}
 #endif
@@ -751,18 +750,8 @@
 		}
 		queue_created_files();
 #else
-			int num_events;
-			/* If queue empty then wait forever */
-			if (next == INT_MAX) {
-				num_events = kevent(inotify_fd, &kev, 1, &event, 1, NULL);
-			} else {
-				struct timespec ts2 = { .tv_sec = (unsigned long int)(next - now), .tv_nsec = 0 };
-				num_events = kevent(inotify_fd, &kev, 1, &event, 1, &ts2);
-			}
-			if ((num_events < 0) || (event.flags == EV_ERROR)) {
-				ast_debug(10, "KEvent error %s\n", strerror(errno));
-				continue;
-			} else if (num_events == 0) {
+			struct timespec ts2 = { next - now, 0 };
+			if (kevent(inotify_fd, NULL, 0, &kev, 1, &ts2) <= 0) {
 				/* Interrupt or timeout, restart calculations */
 				continue;
 			} else {
Index: channels/sig_pri.h
===================================================================
--- channels/sig_pri.h	(.../branches/11)	(revision 385989)
+++ channels/sig_pri.h	(.../team/oej/pinefrog-rtcp-11)	(revision 385989)
@@ -470,8 +470,6 @@
 	 * appended to the initial_user_tag[].
 	 */
 	unsigned int append_msn_to_user_tag:1;
-	/*! TRUE if a PROCEEDING message needs to unsquelch the received audio. */
-	unsigned int inband_on_proceeding:1;
 #if defined(HAVE_PRI_MCID)
 	/*! \brief TRUE if allow sending MCID request on this span. */
 	unsigned int mcid_send:1;
Index: channels/chan_dahdi.c
===================================================================
--- channels/chan_dahdi.c	(.../branches/11)	(revision 385989)
+++ channels/chan_dahdi.c	(.../team/oej/pinefrog-rtcp-11)	(revision 385989)
@@ -1408,7 +1408,6 @@
 			.localdialplan = PRI_NATIONAL_ISDN + 1,
 			.nodetype = PRI_CPE,
 			.qsigchannelmapping = DAHDI_CHAN_MAPPING_PHYSICAL,
-			.inband_on_proceeding = 1,
 
 #if defined(HAVE_PRI_CCSS)
 			.cc_ptmp_recall_mode = 1,/* specificRecall */
@@ -12931,7 +12930,6 @@
 							pris[span].pri.layer1_ignored = 0;
 						}
 						pris[span].pri.append_msn_to_user_tag = conf->pri.pri.append_msn_to_user_tag;
-						pris[span].pri.inband_on_proceeding = conf->pri.pri.inband_on_proceeding;
 						ast_copy_string(pris[span].pri.initial_user_tag, conf->chan.cid_tag, sizeof(pris[span].pri.initial_user_tag));
 						ast_copy_string(pris[span].pri.msn_list, conf->pri.pri.msn_list, sizeof(pris[span].pri.msn_list));
 #if defined(HAVE_PRI_MWI)
@@ -18194,8 +18192,6 @@
 #endif	/* defined(HAVE_PRI_MWI) */
 			} else if (!strcasecmp(v->name, "append_msn_to_cid_tag")) {
 				confp->pri.pri.append_msn_to_user_tag = ast_true(v->value);
-			} else if (!strcasecmp(v->name, "inband_on_proceeding")) {
-				confp->pri.pri.inband_on_proceeding = ast_true(v->value);
 #if defined(HAVE_PRI_DISPLAY_TEXT)
 			} else if (!strcasecmp(v->name, "display_send")) {
 				confp->pri.pri.display_flags_send = dahdi_display_text_option(v->value);
